import 'themed_locale_manager.dart';

class ThemedLocaleKey {
  final String en;
  final String? enGB;
  final String? enUS;
  final String? heIL;

  ThemedLocaleKey({
    required this.en,
    this.enGB,
    this.enUS,
    this.heIL,
  });

  String byLocale(ThemedLocale locale) {
    switch (locale) {
      case ThemedLocale.en:
        return en;
      case ThemedLocale.heIL:
        return heIL ?? en;
      case ThemedLocale.enGB:
        return enGB ?? en;
      case ThemedLocale.enUS:
        return enUS ?? en;
    }
  }
}
