// 🐦 Flutter imports:
import 'package:flutter/material.dart';

// 🌎 Project imports:
import 'package:verttice_ui/verttice_ui.dart';

class EditorVideoPlayerWeb extends StatefulWidget {
  const EditorVideoPlayerWeb({
    Key? key,
    required this.videoUrl,
    required this.readOnly,
  }) : super(key: key);

  final String videoUrl;
  final bool readOnly;

  @override
  State<EditorVideoPlayerWeb> createState() => _WebVideoAppState();
}

class _WebVideoAppState extends State<EditorVideoPlayerWeb> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 300,
      child: VideoViewerFullPage(
        showAppBar: false,
        url: widget.videoUrl,
      ),
    );
  }
}
